Banks List
Returns the complete list of Nigerian banks with their codes NIBSS/NIP for use in account verification.
Endpoint
GET /kyc/nga/banksAuthentication
API Key
Header
x-api-key
Responses
200 Success
Response parameters
serviceResultCode
integer
Code that indicates the overall result of the service execution. See Service Result Code
serviceTime
string
Processing time (milliseconds).
serviceResultLog
string
Descriptive field for the result of the service execution. Includes details when there is an error or exception in the module.
serviceTransactionId
string
Transaction identifier associated with the request processed by the API.
data
object
Object with the list of banks. See table below.
Response parameters — data
banks
array
List of Nigerian banks. See table below.
totalBanks
integer
Total number of banks in the list.
Response parameters — data.banks[]
bankCode
string
Bank code.
bankName
string
Bank name.
nipCode
string
Bank's NIP code.
Service Result Code
The serviceResultCode indicates the overall result of the service execution:
200
The service execution was successful, the module processed the request correctly.
200
Response example
400 Bad Request
Error returned with the service envelope (serviceResultCode reflects the HTTP response code):
502 Bad Gateway
Returned when the service is temporarily unavailable or its response could not be interpreted. The body uses the service envelope with serviceResultCode: 500:
504 Gateway Timeout
Timeout error, returned with the service envelope:
Last updated